[FFmpeg-cvslog] tests/fate-run: Fix pixdesc failure

Zhao Zhili git at videolan.org
Sun Oct 27 06:07:17 EET 2024


ffmpeg | branch: master | Zhao Zhili <zhilizhao at tencent.com> | Tue Oct 22 01:03:24 2024 +0800| [78525bc36b253c760326e7d02c8717ba84067bd4] | committer: Zhao Zhili

tests/fate-run: Fix pixdesc failure

-u and -q doesn't work together for diff on macOS.

Reviewed-by: James Almer <jamrial at gmail.com>
Signed-off-by: Zhao Zhili <zhilizhao at tencent.com>

> http://git.videolan.org/gitweb.cgi/ffmpeg.git/?a=commit;h=78525bc36b253c760326e7d02c8717ba84067bd4
---

 tests/fate-run.sh | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/tests/fate-run.sh b/tests/fate-run.sh
index f8d67de25a..c371bd1c3c 100755
--- a/tests/fate-run.sh
+++ b/tests/fate-run.sh
@@ -519,7 +519,7 @@ pixdesc(){
         $FLAGS $ENC_OPTS -vf "scale,format=$pix_fmt,pixdesctest" -vcodec rawvideo -frames:v 5 \
         "-pix_fmt $pix_fmt" -f nut md5:$md5file2
 
-    diff -u -q $md5file1 $md5file2 || return
+    diff -q $md5file1 $md5file2 || return
     printf '%-20s' $label
     cat $md5file1
 }



More information about the ffmpeg-cvslog mailing list